MS KB2526954: Microsoft Silverlight 4.0 < 4.0.60310 Multiple Vulnerabilities

high Nessus Plugin ID 53830
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote host contains a browser plug-in that is affected by multiple memory leaks.

Description

The remote Windows host is running a version of Microsoft Silverlight that is affected by multiple vulnerabilities :

- A memory leak exists relating to a popup control and a custom 'DependencyProperty' property. (CVE-2011-1844)

- Multiple memory leaks exist in the 'DataGrid' control implementation. (CVE-2011-1845)

Solution

Upgrade to Silverlight 4.0.60310.0 or later.

See Also

https://support.microsoft.com/en-us/help/2526954

Plugin Details

Severity: High

ID: 53830

File Name: smb_kb2526954.nasl

Version: 1.7

Type: local

Agent: windows

Family: Windows

Published: 5/6/2011

Updated: 11/15/2018

Dependencies: smb_hotfixes.nasl, silverlight_detect.nasl

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: High

Base Score: 7.1

Temporal Score: 5.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:C

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:microsoft:silverlight

Required KB Items: SMB/Silverlight/Version

Exploit Ease: No known exploits are available

Patch Publication Date: 4/19/2011

Vulnerability Publication Date: 4/19/2011

Reference Information

CVE: CVE-2011-1844, CVE-2011-1845

BID: 47724

MSKB: 2526954